/* --- Filter Loja --- */

.filter-categorias .search-filter-label{
    display: flex;
    flex-direction: row-reverse;
    justify-content: start;
    align-items: center;
    padding-bottom: 10px;
    gap: 10px;
    border-bottom: 1px solid #191919;
    color: #191919;
    font-family: Poppins;
    font-size: 16px !important;
    font-style: normal;
    font-weight: 300;
    line-height: 150%;
    text-transform: uppercase;
}

.filter-categorias .search-filter-input-checkbox * {
    font-size: 16px !important;
}

.filter-categorias .search-filter-input-group {
    border-bottom: 1px solid #191919;
    padding-bottom:15px;
}

.filter-categorias .search-filter-component-range-slider__range-text.search-filter-component-range-slider__range-text {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.filter-products select.orderby{
    color: #000 !important;
    font-family: Arial !important;
    font-size: 16px !important;
    font-style: normal !important;
    font-weight: 300 !important;
    line-height: 150% !important;
    text-transform: uppercase !important;
}

.filter-products select, 
.select2-container .select2-selection--single,
#reviews .cr-all-reviews-shortcode .cr-ajax-reviews-sort-div .cr-ajax-reviews-sort{
    background-image: url("/wp-content/uploads/2025/02/arrow-products.svg");
    background-size: 20px;
    background-repeat: no-repeat;
    background-position-x: calc(100% - 10px);
    background-position-y: center;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding-right: 2em;
}

.filter-products p.woocommerce-result-count{
    color: #AFAFAF;
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 150%;
    text-transform: uppercase; 
}

.filter-products span.ast-woo-product-category {
    display: none !important;
}

.filter-products span.search-filter-input-checkbox__label {
    color: #191919 !important;
    font-family: Poppins !important;
    font-size: 16px !important;
    font-style: normal !important;
    font-weight: 300 !important;
    line-height: 150% !important;
}

select:focus{
    border-style:none !important;
}

#limpar-filtros{
    cursor:pointer;
}

.filter-categorias .search-filter-input-checkbox__control>svg {
    fill: #191919 !important;
    color: #191919 !important;
}

.filter-categorias .search-filter-input-checkbox__control {
    width: 25px !important;
    height: 25px !important;
}

.filter-categorias .search-filter-label__toggle-icon--down {
    transform: rotate(-90deg);
}

.filter-categorias .search-filter-label__toggle-icon--up {
    transform: rotate(0deg) !important;
}

.filter-categorias svg.use[href="#sf-svg-checkbox-checked"] {
    background:red !important;
}

.filter-categorias svg.search-filter-icon__svg {
    display: none !important;
}

.produtos-header a.woocommerce-LoopProduct-link {
    background-color: #F1F2F7;
    border-radius: 10px;
}

.filter-categorias .search-filter-icon {
    background-image: url('/wp-content/uploads/2025/02/voltar.png') !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    width: 20px !important;
    height: 20px !important;
    display: block !important;
    transition: background-color 0.3s ease, border-radius 0.3s ease; 
    border-radius: 50%;
}

.loja .yith-add-to-wishlist-button-block {
    transition: background-color 0.3s ease, border-radius 0.3s ease; 
    border-radius: 50%; 
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.filter-categorias .search-filter-icon:hover, 
.loja .yith-add-to-wishlist-button-block:hover {
    background-color: rgba(175, 175, 175, 0.6) !important;
}

.loja .product-type-simple,
.loja .product-type-variable{
    display:flex !important;
    flex-direction: column !important;
}

.loja .astra-shop-summary-wrap {
    display: flex !important;
    flex-direction: column !important;
    flex-grow: 1 !important;
}

.loja a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
.loja a.button.product_type_variable.add_to_cart_button{
    margin-top: auto !important;
}

.loja a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart:hover,
.loja a.button.product_type_variable.add_to_cart_button:hover{
    border-bottom: 1px solid #191919 !important;
}

.loja .woocommerce-LoopProduct-link.woocommerce-loop-product__link {
    padding: 30px;
    padding-bottom: 0px;
    width: 100%;
}

.loja .astra-shop-thumbnail-wrap:hover{
    border: 1px solid #AFAFAF66;
    border-radius: 10px;
}

.loja a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart:hover,
.loja a.button.product_type_variable.add_to_cart_button:hover {
    border-bottom: 1px solid #191919 !important;
}

.loja .astra-shop-thumbnail-wrap {
    border: 1px solid transparent; 
    border-radius: 0px;
    transition: border-color 0.3s ease, border-radius 0.3s ease;
    margin-bottom:10px;
}

.loja .astra-shop-thumbnail-wrap img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail {
    transition: transform 0.3s ease;
}
.loja li:hover .astra-shop-thumbnail-wrap {
    border-color: #AFAFAF66;
    border-radius: 10px;
}

.loja li:hover .astra-shop-thumbnail-wrap img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail {
    transform: scale(1.10);
}

.loja img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail {
    width: 100% !important;
    height: 230px !important;
    object-fit: contain;
}

.produtos-header  img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail {
    width: 100% !important;
    height: 310px !important;
    object-fit: scale-down;
}

.loja .woocommerce-LoopProduct-link.woocommerce-loop-product__link {
    display: grid !important;
    place-items: center !important;
}

.loja nav.woocommerce-pagination {
    display: grid;
    place-items: center;
}

.loja a.page-numbers {
    background: none !important;
    color: #525252 !important;
    text-align: center !important;
    font-family: Poppins !important;
    font-size: 20px !important;
    font-style: normal !important;
    font-weight: 300 !important;
    line-height: 150% !important;
    text-transform: uppercase !important;
}

.loja span.page-numbers.current {
    background: none !important;
    color: #191919 !important;
    text-align: center !important;
    font-family: Poppins !important;
    font-size: 20px !important;
    font-style: normal !important;
    font-weight: 500 !important;
    line-height: 150% !important;
    text-transform: uppercase !important;
}

.loja nav.woocommerce-pagination ul li {
    border: none;
}

.loja a.next.page-numbers {
    content: url('/wp-content/uploads/2025/02/arrow-next.png');
    font-size: 15px !important;
}

.loja a.prev.page-numbers {
    content: url('/wp-content/uploads/2025/02/arrow-prev.png');
    font-size: 15px !important;
}

.loja a.prev.page-numbers,
.loja a.next.page-numbers{
    transition: background-color 0.3s ease, border-radius 0.3s ease; 
    border-radius: 50%;
    padding: 5px;
    margin: 5px;
}

.loja a.prev.page-numbers:hover,
.loja a.next.page-numbers:hover{
    background-color: rgba(175, 175, 175, 0.6) !important;
}

.menu-produtos a.elementor-item.menu-link:hover,
.menu-produtos h2:hover{
    text-decoration:underline;
}


#mostrar-filtro-mobile{
    display:none;
}




/* --- Media Query Tablet --- */

@media screen and (max-width: 1024px) {

.filter-products p.woocommerce-result-count {
    margin: 8px 12px !important;
}

#mostrar-filtro-mobile{
    display:block;
}

#mostrar-filtro-mobile .elementor-image-box-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

#mostrar-filtro {
    display:none;
}


.loja img.attachment-woocommerce_thumbnail.size-woocommerce_thumbnail {
    width: 200px !important;
    height: 230px !important;
    object-fit: scale-down;
}

#esconder-filtro, .esconder-limpar-filtros{
    display: none !important; /* Mantém os elementos ocultos antes do clique */
}

}

/* --- Fim Filter Loja --- */

.ast-woo-shop-archive span.select2-dropdown.select2-dropdown--below {
    margin-top: 30px !important;
}

.ast-woo-shop-archive span.select2-search.select2-search--dropdown {
    display: none !important;
}

.ast-woo-shop-archive .select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color: #191919 !important;
    color: #fff !important;
}

.ast-woo-shop-archive .select2-selection.select2-selection--single {
    font-family: 'Poppins' !important;
    border: none !important;
    font-weight: 300 !important;
    text-transform: uppercase !important;
    color: red !important;
}

.ast-woo-shop-archive .select2-selection__rendered {
    color: #000 !important;
    font-size: 20px !important;
    font-weight: 300 !important;
}

.ast-woo-shop-archive li#select2-orderby-oc-result-0wsx-menu_order {
    border-top: 1px solid #191919 !important;
}

.ast-woo-shop-archive .select2-container--default .select2-results>.select2-results__options {
    max-height: 100% !important;
    overflow-y: auto !important;
}

.ast-woo-shop-archive span.select2-dropdown.select2-dropdown--below {
    border: none !important;
}

.ast-woo-shop-archive span.select2-results {
    border-top: 2px solid #191919 !important;
}

@media screen and (max-width: 1024px) {
    .ast-woo-shop-archive span.select2-dropdown.select2-dropdown--below {
    margin-top: 0px !important;
}
}

